Bug 132671 - Cannot export two SRPMs at the same time
Cannot export two SRPMs at the same time
Status: ASSIGNED
Product: Red Hat Developer Suite
Classification: Retired
Component: RPM Plug-in (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aaron Luchko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 14:45 EDT by Aaron Luchko
Modified: 2009-12-14 19:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aaron Luchko 2004-09-15 14:45:01 EDT
Description of problem: Since each SRPM uses /var/tmp/<username> to
build their rpms only one rpm can be exported at a time and someone
recieves an error similar to 
Export RPM Errors
  Error deleting resources.  Check file permissions in
/var/tmp/aluchko/rpm_workarea

Version-Release number of selected component (if applicable):
1.1.0-3

How reproducible:
Always

Steps to Reproduce:
1. Start a runtime workbench in debugging mode with a breakpoint at
RPMExportCore.java line 363 (deleteRPMResources) and try to export an
SRPM (delete the existing src.rpm and specfile first)
2. In another eclipse on the same machine export another SRPM.
3. The second eclipse will have deleted /var/tmp/aluchko/rpm_workarea
along with the files being used by the first eclipse.
Comment 1 Jeremy Handcock 2004-10-23 14:22:18 EDT
This bug has been moved to
https://bugs.eclipse.org/bugs/show_bug.cgi?id=76886

This bug will remain open as a tracker.  All further comments
regarding this bug should be posted on bugs.eclipse.org.

Note You need to log in before you can comment on or make changes to this bug.